name: Linux arm64
run-name: Build And Test

on: [push]

jobs:
  Build:
    runs-on: ubuntu-latest
    steps: 
      - name: Check out repository code
        uses: actions/checkout@v4

      - uses: actions/setup-java@v4
        with:
          distribution: 'temurin'
          java-version: '21'

      - name: Setup Gradle
        uses: gradle/actions/setup-gradle@v4
     
      - name: Build with Gradle
        run: ./gradlew assemble

      - name: Test
        run: ./gradlew test
